Bug 1007514 - Update the installer for access control / RBAC
Update the installer for access control / RBAC
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 12:04 EDT by Darran Lofthouse
Modified: 2017-10-09 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 10:34:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darran Lofthouse 2013-09-12 12:04:51 EDT
Description of problem:

Now that EAP 6.2 is having access control made available the installer may require updates to simplify enabling it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Hauser 2013-09-12 13:17:33 EDT
Please link some documentation (preferably with related jboss-cli commands, or requisite xml changes) so we can evaluate the impact / ease of getting this into the installer for 6.2.0! :)
Comment 2 Darran Lofthouse 2014-05-07 14:13:40 EDT
Do we have any links to the docs for access control that Thomas can make use of?
Comment 3 Petr Kremensky 2014-05-14 03:33:12 EDT
We could update the User panel giving user an option to choose between simple (user + password) and RBAC authorization (just an idea), however I think its too late now for 6.3.0 now.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Security_Guide/index.html#sect-Configuring_Role-Based_Access_Control
Comment 4 Thomas Hauser 2014-07-04 10:34:26 EDT
Agreed with Petr above. Too late for 6.3.0.

Note You need to log in before you can comment on or make changes to this bug.